#version 330


uniform sampler2D framebufferObjectTexture; //the framebuffer rendered in a texture


in vec2 		fragmentTexCoords;

in vec2 blurTexCoords[16];


layout(location = 0 ) out vec4 fragColor;



void main(void)
{	
	fragColor = vec4(0.0, 0.0, 0.0, 0.0 );

	fragColor += texture( framebufferObjectTexture, blurTexCoords[ 0]) * 0.0559348507607201;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[ 1]) * 0.0569935232514705;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[ 2]) * 0.0579272338565674;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[ 3]) * 0.058729234440463;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[ 4]) * 0.0593936687632931;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[ 5]) * 0.0599156436749058;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[ 6]) * 0.0602912891170774;
	fragColor += texture( framebufferObjectTexture, blurTexCoords[ 7]) * 0.0605178059047941;
    fragColor += texture( framebufferObjectTexture, fragmentTexCoords) * 0.0605935004614169;
	fragColor += texture( framebufferObjectTexture, blurTexCoords[ 8]) * 0.0605178059047941;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[ 9]) * 0.0602912891170774;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[10]) * 0.0599156436749058;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[11]) * 0.0593936687632931;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[12]) * 0.058729234440463;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[13]) * 0.0579272338565674;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[14]) * 0.0569935232514705;
    fragColor += texture( framebufferObjectTexture, blurTexCoords[15]) * 0.0559348507607201;

	
}

