#version 400


//INs:
in vec4 fragmentTexCoords;

uniform float ambientLightIntensity;

uniform samplerCube cubeTex;



//OUT
layout(location = 0, index = 0) out vec4 fragColor;


void main(void)
{
	fragColor = texture( cubeTex, normalize(fragmentTexCoords.xyz) );
	fragColor.rgb *= ambientLightIntensity;
	//fragColor = vec4( normalize(fragmentTexCoords.xyz), 1.0);
}
